CREATE TABLE IF NOT EXISTS `CubeCart_admin_log` (
`id` int(11) NOT NULL auto_increment,
`user` varchar(255) NOT NULL default '',
`desc` text NOT NULL,
`time` int(11) NOT NULL default '0',
`ipAddress` varchar(16) NOT NULL default '',
PRIMARY KEY `id` (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ; #EOQ


ALTER TABLE `CubeCart_admin_permissions` CHANGE `permissionId` `permissionId` SMALLINT NOT NULL AUTO_INCREMENT ; #EOQ
ALTER TABLE `CubeCart_admin_permissions` CHANGE `sectId` `sectId` SMALLINT NOT NULL DEFAULT '0' ; #EOQ
ALTER TABLE `CubeCart_admin_permissions` CHANGE `adminId` `adminId` INT(11) NOT NULL DEFAULT '0' ; #EOQ
ALTER TABLE `CubeCart_admin_permissions` CHANGE `read` `read` SMALLINT NOT NULL DEFAULT '0' ; #EOQ
ALTER TABLE `CubeCart_admin_permissions` CHANGE `write` `write` SMALLINT NOT NULL DEFAULT '0' ; #EOQ
ALTER TABLE `CubeCart_admin_permissions` CHANGE `edit` `edit` SMALLINT NOT NULL DEFAULT '0' ; #EOQ
ALTER TABLE `CubeCart_admin_permissions` CHANGE `delete` `delete` SMALLINT NOT NULL DEFAULT '0' ; #EOQ


ALTER TABLE `CubeCart_admin_sections`
CHANGE `sectId` `sectId` smallint(6) NOT NULL auto_increment,
CHANGE `name` `name` varchar(50) NOT NULL ; #EOQ
 

ALTER TABLE `CubeCart_admin_sessions`
CHANGE `username` `username` varchar(255) NOT NULL,
CHANGE `success` `success` smallint(1) NOT NULL DEFAULT '0' ; #EOQ

ALTER TABLE `CubeCart_admin_users` CHANGE `notes` `notes` text ; #EOQ
ALTER TABLE `CubeCart_admin_users` CHANGE `isSuper` `isSuper` tinyint(1) NOT NULL DEFAULT '0' ; #EOQ
ALTER TABLE `CubeCart_admin_users` ADD `failLevel` tinyint(1) NOT NULL default '0' ; #EOQ
ALTER TABLE `CubeCart_admin_users` ADD `blockTime` int(10) NOT NULL default '0' ; #EOQ
ALTER TABLE `CubeCart_admin_users` ADD `lastTime` int(10) NOT NULL default '0' ; #EOQ
ALTER TABLE `CubeCart_admin_users` ADD `sessId` varchar(32) default NULL ; #EOQ
ALTER TABLE `CubeCart_admin_users` ADD `browser` text ; #EOQ
ALTER TABLE `CubeCart_admin_users` ADD `sessIp` varchar(15) default NULL ; #EOQ


CREATE TABLE IF NOT EXISTS `CubeCart_alt_shipping` (
`id` int(11) NOT NULL auto_increment,
`name` varchar(255) NOT NULL,
`status` smallint(1) NOT NULL default '0',
`byprice` smallint(1) NOT NULL,
`global` smallint(1) NOT NULL,
`notes` varchar(255) default NULL,
`order` int(11) default '0',
KEY `id` (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ; #EOQ


CREATE TABLE IF NOT EXISTS `CubeCart_alt_shipping_prices` (
`id` int(11) NOT NULL auto_increment,
`alt_ship_id` int(11) NOT NULL,
`low` decimal(30,2) NOT NULL default '0.00',
`high` decimal(30,2) NOT NULL default '0.00',
`price` decimal(30,2) NOT NULL default '0.00',
KEY `id` (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ; #EOQ


CREATE TABLE IF NOT EXISTS `CubeCart_blocker` (
`id` int(11) NOT NULL auto_increment,
`browser` text NOT NULL,
`ip` varchar(15) NOT NULL,
`username` varchar(50) NOT NULL,
`blockTime` int(10) NOT NULL default '0',
`blockLevel` tinyint(1) NOT NULL default '0',
`loc` char(1) NOT NULL,
`lastTime` int(10) NOT NULL,
KEY `id` (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ; #EOQ


ALTER TABLE `CubeCart_category` CHANGE `cat_name` `cat_name` varchar(100) NOT NULL ; #EOQ
ALTER TABLE `CubeCart_category` ADD `cat_desc` text NOT NULL AFTER `cat_name` ; #EOQ
ALTER TABLE `CubeCart_category` CHANGE `cat_image` `cat_image` varchar(250) NOT NULL default '' ; #EOQ
ALTER TABLE `CubeCart_category` ADD `hide` smallint(1) NOT NULL default '0' ; #EOQ
ALTER TABLE `CubeCart_category` ADD `cat_metatitle` text NOT NULL ; #EOQ
ALTER TABLE `CubeCart_category` ADD `cat_metadesc` text NOT NULL ; #EOQ
ALTER TABLE `CubeCart_category` ADD `cat_metakeywords` text NOT NULL ; #EOQ
ALTER TABLE `CubeCart_category` ADD `priority` smallint(6) default '0' ; #EOQ

ALTER TABLE `CubeCart_cats_lang` ADD `cat_desc` text NOT NULL default ''; #EOQ

CREATE TABLE IF NOT EXISTS `CubeCart_cats_lang` (
`id` int(11) NOT NULL auto_increment,
`cat_master_id` int(11) NOT NULL default '0',
`cat_lang` varchar(20) NOT NULL default '',
`cat_name` varchar(255) NOT NULL default '',
`cat_desc` text NOT NULL default '',
KEY `id` (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ; #EOQ


CREATE TABLE IF NOT EXISTS `CubeCart_Coupons` (
`id` int(10) NOT NULL auto_increment,
`status` smallint(1) NOT NULL default '1',
`code` varchar(25) NOT NULL default '',
`product_id` int(10) NOT NULL default '0',
`discount_percent` float NOT NULL default '0',
`discount_price` float NOT NULL default '0',
`expires` varchar(10) NOT NULL default '',
`allowed_uses` smallint(1) NOT NULL default '0',
`count` smallint(1) NOT NULL default '0',
`desc` text NOT NULL,
`cart_order_id` varchar(30) default NULL,
PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ; #EOQ


ALTER TABLE `CubeCart_currencies` ADD `decimalSymbol` smallint(1) NOT NULL default '0' ; #EOQ
ALTER TABLE `CubeCart_currencies` CHANGE `symbolLeft` `symbolLeft` varbinary(10) default NULL ; #EOQ
ALTER TABLE `CubeCart_currencies` CHANGE `symbolRight` `symbolRight` varbinary(10) default NULL ; #EOQ


ALTER TABLE `CubeCart_customer` ADD `companyName` varchar(150) NOT NULL default '' AFTER `lastName` ; #EOQ
ALTER TABLE `CubeCart_customer` DROP COLUMN `zoneId` ; #EOQ
ALTER TABLE `CubeCart_customer` CHANGE `country` `country` smallint(3) NOT NULL ; #EOQ


ALTER TABLE `CubeCart_docs` CHANGE `doc_content` `doc_content` text NOT NULL ; #EOQ
ALTER TABLE `CubeCart_docs` ADD `doc_metatitle` text NOT NULL ; #EOQ
ALTER TABLE `CubeCart_docs` ADD `doc_metadesc` text NOT NULL ; #EOQ
ALTER TABLE `CubeCart_docs` ADD `doc_metakeywords` text NOT NULL ; #EOQ
ALTER TABLE `CubeCart_docs` ADD `doc_order` int(11) default '0' ; #EOQ
ALTER TABLE `CubeCart_docs` ADD `doc_terms` smallint(1) default '0'; #EOQ


UPDATE `CubeCart_docs` SET doc_order = doc_id WHERE 1; #EOQ


CREATE TABLE IF NOT EXISTS `CubeCart_history` (
`id` int(11) NOT NULL auto_increment,
`version` varchar(50) NOT NULL,
`time` int(11) NOT NULL,
PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ; #EOQ


ALTER TABLE `CubeCart_inventory` ADD `stockWarn` int(11) NOT NULL default '0' AFTER `stock_level` ; #EOQ 
ALTER TABLE `CubeCart_inventory` CHANGE `prodWeight` `prodWeight` decimal(10,3) default NULL ; #EOQ
ALTER TABLE `CubeCart_inventory` CHANGE `showFeatured` `showFeatured` tinyint(1) unsigned NOT NULL default '1' ; #EOQ 
ALTER TABLE `CubeCart_inventory` ADD `prod_metatitle` text NOT NULL ; #EOQ
ALTER TABLE `CubeCart_inventory` ADD `prod_metadesc` text NOT NULL ; #EOQ 
ALTER TABLE `CubeCart_inventory` ADD `prod_metakeywords` text NOT NULL ; #EOQ 
ALTER TABLE `CubeCart_inventory` ADD `eanupcCode` bigint( 17 ) UNSIGNED NULL ; #EOQ 
ALTER TABLE `CubeCart_inventory` ADD FULLTEXT `fulltext` (`productCode`,`description`,`name`) ; #EOQ


ALTER TABLE `CubeCart_inv_lang` CHANGE `id` `id` int(11) NOT NULL auto_increment ; #EOQ
ALTER TABLE `CubeCart_inv_lang` ADD FULLTEXT `fulltext` (`name`,`description`) ; #EOQ


CREATE TABLE IF NOT EXISTS `CubeCart_lang` (
`identifier` varchar(50) NOT NULL default '', 
`langArray` longtext NOT NULL, 
UNIQUE KEY `identifier` (`identifier`)
) TYPE=MyISAM ; #EOQ


ALTER TABLE `CubeCart_order_inv` ADD `stockUpdated` int(11) NOT NULL default '0' ; #EOQ
ALTER TABLE `CubeCart_order_inv` ADD `custom` text ; #EOQ
ALTER TABLE `CubeCart_order_inv` ADD `couponId` smallint(6) NOT NULL default '0' ; #EOQ

DROP TABLE IF EXISTS `CubeCart_order_state` ; #EOQ


ALTER TABLE `CubeCart_order_sum` ADD `discount` decimal(30,2) default '0.00' AFTER `subtotal` ; #EOQ
ALTER TABLE `CubeCart_order_sum` ADD `tax1_disp` varchar(128) NOT NULL ; #EOQ
ALTER TABLE `CubeCart_order_sum` ADD `tax1_amt` decimal(30,2) NOT NULL default '0.00' ; #EOQ
ALTER TABLE `CubeCart_order_sum` ADD `tax2_disp` varchar(128) NOT NULL ; #EOQ
ALTER TABLE `CubeCart_order_sum` ADD `tax2_amt` decimal(30,2) NOT NULL default '0.00' ; #EOQ
ALTER TABLE `CubeCart_order_sum` ADD `tax3_disp` varchar(128) NOT NULL ; #EOQ
ALTER TABLE `CubeCart_order_sum` ADD `tax3_amt` decimal(30,2) NOT NULL default '0.00' ; #EOQ
ALTER TABLE `CubeCart_order_sum` ADD `offline_capture` blob ; #EOQ
ALTER TABLE `CubeCart_order_sum` ADD `courier_tracking` text ; #EOQ
ALTER TABLE `CubeCart_order_sum` ADD `companyName` varchar(150) NOT NULL ; #EOQ
ALTER TABLE `CubeCart_order_sum` ADD `companyName_d` varchar(150) NOT NULL ; #EOQ


CREATE TABLE IF NOT EXISTS `CubeCart_reviews` (
  `id` int(11) NOT NULL auto_increment,
  `approved` smallint(1) NOT NULL default '0',
  `productId` int(11) NOT NULL,
  `type` smallint(1) NOT NULL,
  `rating` smallint(1) NOT NULL,
  `name` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `review` text NOT NULL,
  `ip` varchar(15) NOT NULL,
  `time` int(10) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ; #EOQ


ALTER TABLE `CubeCart_sessions` ADD `skin` varchar(25) default NULL AFTER `location` ; #EOQ
ALTER TABLE `CubeCart_sessions` ADD `ip` varchar(15) default NULL ; #EOQ
ALTER TABLE `CubeCart_sessions` ADD `browser` text NOT NULL ; #EOQ


CREATE TABLE IF NOT EXISTS `CubeCart_SpamBot` (
  `uniqueId` varchar(32) NOT NULL default '',
  `spamCode` varchar(5) NOT NULL default '',
  `userIp` varchar(15) NOT NULL default '',
  `time` int(10) NOT NULL default '0',
  PRIMARY KEY  (`uniqueId`),
  UNIQUE KEY `uniqueId` (`uniqueId`)
) TYPE=MyISAM ; #EOQ


ALTER TABLE `CubeCart_taxes` CHANGE `percent` `percent` decimal(7,4) NOT NULL default '0.0000' ; #EOQ


CREATE TABLE IF NOT EXISTS `CubeCart_tax_details` (
`id` int(11) NOT NULL auto_increment,
`name` varchar(128) NOT NULL default '',
`display` varchar(128) NOT NULL default '',
`reg_number` varchar(128) NOT NULL default '',
`status` int(1) NOT NULL default '1',
PRIMARY KEY  (`id`),
UNIQUE KEY `name` (`name`)
) TYPE=MyISAM AUTO_INCREMENT=1 ; #EOQ


CREATE TABLE IF NOT EXISTS `CubeCart_tax_rates` (
  `id` int(11) NOT NULL auto_increment,
  `type_id` int(11) NOT NULL default '1',
  `details_id` int(11) NOT NULL default '0',
  `country_id` int(11) NOT NULL default '0',
  `county_id` int(11) NOT NULL default '0',
  `tax_percent` decimal(7,4) NOT NULL default '0.0000',
  `goods` int(11) NOT NULL default '0',
  `shipping` int(11) NOT NULL default '0',
  `active` smallint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `type_id` (`type_id`,`details_id`,`country_id`,`county_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ; #EOQ


CREATE TABLE IF NOT EXISTS `CubeCart_transactions` (
  `id` int(11) NOT NULL auto_increment,
  `gateway` varchar(255) default NULL,
  `status` varchar(50) default NULL,
  `customer_id` int(11) default NULL,
  `order_id` varchar(255) default NULL,
  `trans_id` varchar(50) default NULL,
  `time` int(10) default NULL,
  `amount` decimal(30,2) default NULL,
  `notes` text ,
  KEY `id` (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ; #EOQ

ALTER TABLE `CubeCart_Coupons` CHANGE `discount_percent` `discount_percent` DECIMAL( 30, 2 ) NOT NULL DEFAULT '0' ; #EOQ
ALTER TABLE `CubeCart_Coupons` CHANGE `discount_price` `discount_price` DECIMAL( 30, 2 ) NOT NULL DEFAULT '0' ; #EOQ

ALTER TABLE `CubeCart_Modules` CHANGE `module` `module` VARCHAR( 25 ) NOT NULL ; #EOQ

ALTER TABLE `CubeCart_order_sum` ADD `basket` TEXT DEFAULT NULL ; #EOQ

DELETE FROM `CubeCart_Modules` WHERE `folder` = "DirectPayment" ; #EOQ

DELETE FROM `CubeCart_Config` WHERE `name` = "DirectPayment" ; #EOQ

ALTER TABLE `CubeCart_transactions` ADD `remainder` DECIMAL( 30, 2 ) NOT NULL DEFAULT '0.00' AFTER `amount` ; #EOQ

ALTER TABLE `CubeCart_transactions` ADD `extra` VARCHAR( 255 ) NULL AFTER `gateway` ; #EOQ

INSERT INTO `CubeCart_iso_counties` (`id`,`countryId`,`abbrev`,`name`) VALUES (NULL,225,"GTL","Greater London"); #EOQ